import components from './components'
import { App, provide } from 'vue'
import { defaultTheme } from './theme/defaultTheme';

// Export components for individual import
export * from './components/index'

export * from './theme/customTheme';
export * from './theme/defaultTheme';

const createPlugin = (components: any) => {
    const install = async (Vue: App, options: any) => {
      let theme;
      console.log('options', options)

      if (options.modular) { theme = options.theme }
      else {
        components.forEach((c: any) => Vue.use(c));
        const module = await import('./theme/defaultTheme')
        console.log(module.defaultTheme)
        // let theme = defaultTheme
        console.log(options)
        if (options.theme) {

          theme = {...module.defaultTheme, ...options.theme}
        } else {
          theme = module.defaultTheme
        }
      }

      Vue.provide('themeConfig', theme)
    }
    return { install }
}

// Export plugin installation method for global install
export default createPlugin([...components])


